
package ca.canadapost.cpcdp.postoffice.generated.postoffice;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="post-office" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element name="address" type="{http://www.canadapost.ca/ws/postoffice}PostOfficeAddressType"/>
 *                   &lt;element name="distance">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}decimal">
 *                         &lt;minInclusive value="0"/>
 *                         &lt;maxInclusive value="99999.99"/>
 *                         &lt;fractionDigits value="2"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="location" type="{http://www.canadapost.ca/ws/postoffice}LocationType"/>
 *                   &lt;element name="name" type="{http://www.canadapost.ca/ws/postoffice}NameType"/>
 *                   &lt;element name="office-id" type="{http://www.canadapost.ca/ws/postoffice}OfficeIdType"/>
 *                   &lt;element name="bilingual-designation" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element ref="{http://www.canadapost.ca/ws/postoffice}link"/>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "postOffices"
})
@XmlRootElement(name = "post-office-list")
public class PostOfficeList {

    @XmlElement(name = "post-office", required = true)
    protected List<PostOfficeList.PostOffice> postOffices;

    /**
     * Gets the value of the postOffices property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the postOffices property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPostOffices().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PostOfficeList.PostOffice }
     * 
     * 
     */
    public List<PostOfficeList.PostOffice> getPostOffices() {
        if (postOffices == null) {
            postOffices = new ArrayList<PostOfficeList.PostOffice>();
        }
        return this.postOffices;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element name="address" type="{http://www.canadapost.ca/ws/postoffice}PostOfficeAddressType"/>
     *         &lt;element name="distance">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}decimal">
     *               &lt;minInclusive value="0"/>
     *               &lt;maxInclusive value="99999.99"/>
     *               &lt;fractionDigits value="2"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="location" type="{http://www.canadapost.ca/ws/postoffice}LocationType"/>
     *         &lt;element name="name" type="{http://www.canadapost.ca/ws/postoffice}NameType"/>
     *         &lt;element name="office-id" type="{http://www.canadapost.ca/ws/postoffice}OfficeIdType"/>
     *         &lt;element name="bilingual-designation" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element ref="{http://www.canadapost.ca/ws/postoffice}link"/>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class PostOffice {

        @XmlElement(required = true)
        protected PostOfficeAddressType address;
        @XmlElement(required = true)
        protected BigDecimal distance;
        @XmlElement(required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String location;
        @XmlElement(required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String name;
        @XmlElement(name = "office-id", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String officeId;
        @XmlElement(name = "bilingual-designation")
        protected boolean bilingualDesignation;
        @XmlElement(required = true)
        protected Link link;

        /**
         * Gets the value of the address property.
         * 
         * @return
         *     possible object is
         *     {@link PostOfficeAddressType }
         *     
         */
        public PostOfficeAddressType getAddress() {
            return address;
        }

        /**
         * Sets the value of the address property.
         * 
         * @param value
         *     allowed object is
         *     {@link PostOfficeAddressType }
         *     
         */
        public void setAddress(PostOfficeAddressType value) {
            this.address = value;
        }

        /**
         * Gets the value of the distance property.
         * 
         * @return
         *     possible object is
         *     {@link BigDecimal }
         *     
         */
        public BigDecimal getDistance() {
            return distance;
        }

        /**
         * Sets the value of the distance property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigDecimal }
         *     
         */
        public void setDistance(BigDecimal value) {
            this.distance = value;
        }

        /**
         * Gets the value of the location property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getLocation() {
            return location;
        }

        /**
         * Sets the value of the location property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setLocation(String value) {
            this.location = value;
        }

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setName(String value) {
            this.name = value;
        }

        /**
         * Gets the value of the officeId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getOfficeId() {
            return officeId;
        }

        /**
         * Sets the value of the officeId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setOfficeId(String value) {
            this.officeId = value;
        }

        /**
         * Gets the value of the bilingualDesignation property.
         * 
         */
        public boolean isBilingualDesignation() {
            return bilingualDesignation;
        }

        /**
         * Sets the value of the bilingualDesignation property.
         * 
         */
        public void setBilingualDesignation(boolean value) {
            this.bilingualDesignation = value;
        }

        /**
         * Gets the value of the link property.
         * 
         * @return
         *     possible object is
         *     {@link Link }
         *     
         */
        public Link getLink() {
            return link;
        }

        /**
         * Sets the value of the link property.
         * 
         * @param value
         *     allowed object is
         *     {@link Link }
         *     
         */
        public void setLink(Link value) {
            this.link = value;
        }

    }

}
