
package ca.canadapost.cpcdp.ncshipping.generated.ncshipment;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for NonContractShipmentReceiptType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NonContractShipmentReceiptType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="final-shipping-point" type="{http://www.canadapost.ca/ws/ncshipment-v4}PostalCodeType"/>
 *         &lt;element name="shipping-point-name">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *               &lt;maxLength value="35"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="shipping-point-id" type="{http://www.canadapost.ca/ws/ncshipment-v4}OutletIDType"/>
 *         &lt;element name="mailed-by-customer" type="{http://www.canadapost.ca/ws/ncshipment-v4}CustomerIDType"/>
 *         &lt;element name="service-code" type="{http://www.canadapost.ca/ws/ncshipment-v4}ServiceCodeType"/>
 *         &lt;element name="rated-weight">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}decimal">
 *               &lt;minExclusive value="0"/>
 *               &lt;maxInclusive value="999.999"/>
 *               &lt;fractionDigits value="3"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="base-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeNonZero"/>
 *         &lt;element name="pre-tax-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeNonZero"/>
 *         &lt;element name="gst-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsZero"/>
 *         &lt;element name="pst-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsZero"/>
 *         &lt;element name="hst-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsZero"/>
 *         &lt;element name="priced-options" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="priced-option" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;all>
 *                             &lt;element name="option-code">
 *                               &lt;simpleType>
 *                                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                                   &lt;maxLength value="10"/>
 *                                 &lt;/restriction>
 *                               &lt;/simpleType>
 *                             &lt;/element>
 *                             &lt;element name="option-price" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsNegative"/>
 *                           &lt;/all>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="adjustments" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="adjustment" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;all>
 *                             &lt;element name="adjustment-code">
 *                               &lt;simpleType>
 *                                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                                   &lt;maxLength value="10"/>
 *                                 &lt;/restriction>
 *                               &lt;/simpleType>
 *                             &lt;/element>
 *                             &lt;element name="adjustment-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsNegative"/>
 *                           &lt;/all>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="cc-receipt-details">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element name="merchant-name">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="44"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="merchant-url">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="60"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="name-on-card" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcNameType" minOccurs="0"/>
 *                   &lt;element name="auth-code" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcAuthorizationCodeType"/>
 *                   &lt;element name="auth-timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *                   &lt;element name="card-type" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcType"/>
 *                   &lt;element name="charge-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcAuthorizationAmountType"/>
 *                   &lt;element name="currency" type="{http://www.canadapost.ca/ws/ncshipment-v4}CurrencyType"/>
 *                   &lt;element name="transaction-type">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="44"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="service-standard">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element name="am-delivery" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="guaranteed-delivery" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="expected-transit-time">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
 *                         &lt;minInclusive value="0"/>
 *                         &lt;maxInclusive value="99"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="expected-delivery-date" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NonContractShipmentReceiptType", propOrder = {

})
@XmlRootElement(name = "non-contract-shipment-receipt")
public class NonContractShipmentReceipt {

    @XmlElement(name = "final-shipping-point", required = true)
    protected String finalShippingPoint;
    @XmlElement(name = "shipping-point-name", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shippingPointName;
    @XmlElement(name = "shipping-point-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shippingPointId;
    @XmlElement(name = "mailed-by-customer", required = true)
    protected String mailedByCustomer;
    @XmlElement(name = "service-code", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String serviceCode;
    @XmlElement(name = "rated-weight", required = true)
    protected BigDecimal ratedWeight;
    @XmlElement(name = "base-amount", required = true)
    protected BigDecimal baseAmount;
    @XmlElement(name = "pre-tax-amount", required = true)
    protected BigDecimal preTaxAmount;
    @XmlElement(name = "gst-amount", required = true)
    protected BigDecimal gstAmount;
    @XmlElement(name = "pst-amount", required = true)
    protected BigDecimal pstAmount;
    @XmlElement(name = "hst-amount", required = true)
    protected BigDecimal hstAmount;
    @XmlElement(name = "priced-options")
    protected NonContractShipmentReceipt.PricedOptions pricedOptions;
    protected NonContractShipmentReceipt.Adjustments adjustments;
    @XmlElement(name = "cc-receipt-details", required = true)
    protected NonContractShipmentReceipt.CcReceiptDetails ccReceiptDetails;
    @XmlElement(name = "service-standard", required = true)
    protected NonContractShipmentReceipt.ServiceStandard serviceStandard;

    /**
     * Gets the value of the finalShippingPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFinalShippingPoint() {
        return finalShippingPoint;
    }

    /**
     * Sets the value of the finalShippingPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFinalShippingPoint(String value) {
        this.finalShippingPoint = value;
    }

    /**
     * Gets the value of the shippingPointName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShippingPointName() {
        return shippingPointName;
    }

    /**
     * Sets the value of the shippingPointName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShippingPointName(String value) {
        this.shippingPointName = value;
    }

    /**
     * Gets the value of the shippingPointId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShippingPointId() {
        return shippingPointId;
    }

    /**
     * Sets the value of the shippingPointId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShippingPointId(String value) {
        this.shippingPointId = value;
    }

    /**
     * Gets the value of the mailedByCustomer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailedByCustomer() {
        return mailedByCustomer;
    }

    /**
     * Sets the value of the mailedByCustomer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailedByCustomer(String value) {
        this.mailedByCustomer = value;
    }

    /**
     * Gets the value of the serviceCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceCode() {
        return serviceCode;
    }

    /**
     * Sets the value of the serviceCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceCode(String value) {
        this.serviceCode = value;
    }

    /**
     * Gets the value of the ratedWeight property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getRatedWeight() {
        return ratedWeight;
    }

    /**
     * Sets the value of the ratedWeight property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setRatedWeight(BigDecimal value) {
        this.ratedWeight = value;
    }

    /**
     * Gets the value of the baseAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getBaseAmount() {
        return baseAmount;
    }

    /**
     * Sets the value of the baseAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setBaseAmount(BigDecimal value) {
        this.baseAmount = value;
    }

    /**
     * Gets the value of the preTaxAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getPreTaxAmount() {
        return preTaxAmount;
    }

    /**
     * Sets the value of the preTaxAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setPreTaxAmount(BigDecimal value) {
        this.preTaxAmount = value;
    }

    /**
     * Gets the value of the gstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getGstAmount() {
        return gstAmount;
    }

    /**
     * Sets the value of the gstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setGstAmount(BigDecimal value) {
        this.gstAmount = value;
    }

    /**
     * Gets the value of the pstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getPstAmount() {
        return pstAmount;
    }

    /**
     * Sets the value of the pstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setPstAmount(BigDecimal value) {
        this.pstAmount = value;
    }

    /**
     * Gets the value of the hstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getHstAmount() {
        return hstAmount;
    }

    /**
     * Sets the value of the hstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setHstAmount(BigDecimal value) {
        this.hstAmount = value;
    }

    /**
     * Gets the value of the pricedOptions property.
     * 
     * @return
     *     possible object is
     *     {@link NonContractShipmentReceipt.PricedOptions }
     *     
     */
    public NonContractShipmentReceipt.PricedOptions getPricedOptions() {
        return pricedOptions;
    }

    /**
     * Sets the value of the pricedOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link NonContractShipmentReceipt.PricedOptions }
     *     
     */
    public void setPricedOptions(NonContractShipmentReceipt.PricedOptions value) {
        this.pricedOptions = value;
    }

    /**
     * Gets the value of the adjustments property.
     * 
     * @return
     *     possible object is
     *     {@link NonContractShipmentReceipt.Adjustments }
     *     
     */
    public NonContractShipmentReceipt.Adjustments getAdjustments() {
        return adjustments;
    }

    /**
     * Sets the value of the adjustments property.
     * 
     * @param value
     *     allowed object is
     *     {@link NonContractShipmentReceipt.Adjustments }
     *     
     */
    public void setAdjustments(NonContractShipmentReceipt.Adjustments value) {
        this.adjustments = value;
    }

    /**
     * Gets the value of the ccReceiptDetails property.
     * 
     * @return
     *     possible object is
     *     {@link NonContractShipmentReceipt.CcReceiptDetails }
     *     
     */
    public NonContractShipmentReceipt.CcReceiptDetails getCcReceiptDetails() {
        return ccReceiptDetails;
    }

    /**
     * Sets the value of the ccReceiptDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link NonContractShipmentReceipt.CcReceiptDetails }
     *     
     */
    public void setCcReceiptDetails(NonContractShipmentReceipt.CcReceiptDetails value) {
        this.ccReceiptDetails = value;
    }

    /**
     * Gets the value of the serviceStandard property.
     * 
     * @return
     *     possible object is
     *     {@link NonContractShipmentReceipt.ServiceStandard }
     *     
     */
    public NonContractShipmentReceipt.ServiceStandard getServiceStandard() {
        return serviceStandard;
    }

    /**
     * Sets the value of the serviceStandard property.
     * 
     * @param value
     *     allowed object is
     *     {@link NonContractShipmentReceipt.ServiceStandard }
     *     
     */
    public void setServiceStandard(NonContractShipmentReceipt.ServiceStandard value) {
        this.serviceStandard = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="adjustment" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;all>
     *                   &lt;element name="adjustment-code">
     *                     &lt;simpleType>
     *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *                         &lt;maxLength value="10"/>
     *                       &lt;/restriction>
     *                     &lt;/simpleType>
     *                   &lt;/element>
     *                   &lt;element name="adjustment-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsNegative"/>
     *                 &lt;/all>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "adjustments"
    })
    public static class Adjustments {

        @XmlElement(name = "adjustment")
        protected List<NonContractShipmentReceipt.Adjustments.Adjustment> adjustments;

        /**
         * Gets the value of the adjustments property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the adjustments property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAdjustments().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link NonContractShipmentReceipt.Adjustments.Adjustment }
         * 
         * 
         */
        public List<NonContractShipmentReceipt.Adjustments.Adjustment> getAdjustments() {
            if (adjustments == null) {
                adjustments = new ArrayList<NonContractShipmentReceipt.Adjustments.Adjustment>();
            }
            return this.adjustments;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;all>
         *         &lt;element name="adjustment-code">
         *           &lt;simpleType>
         *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
         *               &lt;maxLength value="10"/>
         *             &lt;/restriction>
         *           &lt;/simpleType>
         *         &lt;/element>
         *         &lt;element name="adjustment-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsNegative"/>
         *       &lt;/all>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {

        })
        public static class Adjustment {

            @XmlElement(name = "adjustment-code", required = true)
            @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
            protected String adjustmentCode;
            @XmlElement(name = "adjustment-amount", required = true)
            protected BigDecimal adjustmentAmount;

            /**
             * Gets the value of the adjustmentCode property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getAdjustmentCode() {
                return adjustmentCode;
            }

            /**
             * Sets the value of the adjustmentCode property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setAdjustmentCode(String value) {
                this.adjustmentCode = value;
            }

            /**
             * Gets the value of the adjustmentAmount property.
             * 
             * @return
             *     possible object is
             *     {@link BigDecimal }
             *     
             */
            public BigDecimal getAdjustmentAmount() {
                return adjustmentAmount;
            }

            /**
             * Sets the value of the adjustmentAmount property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigDecimal }
             *     
             */
            public void setAdjustmentAmount(BigDecimal value) {
                this.adjustmentAmount = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element name="merchant-name">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="44"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="merchant-url">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="60"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="name-on-card" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcNameType" minOccurs="0"/>
     *         &lt;element name="auth-code" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcAuthorizationCodeType"/>
     *         &lt;element name="auth-timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
     *         &lt;element name="card-type" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcType"/>
     *         &lt;element name="charge-amount" type="{http://www.canadapost.ca/ws/ncshipment-v4}CcAuthorizationAmountType"/>
     *         &lt;element name="currency" type="{http://www.canadapost.ca/ws/ncshipment-v4}CurrencyType"/>
     *         &lt;element name="transaction-type">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="44"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class CcReceiptDetails {

        @XmlElement(name = "merchant-name", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String merchantName;
        @XmlElement(name = "merchant-url", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String merchantUrl;
        @XmlElement(name = "name-on-card")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String nameOnCard;
        @XmlElement(name = "auth-code", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String authCode;
        @XmlElement(name = "auth-timestamp", required = true)
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar authTimestamp;
        @XmlElement(name = "card-type", required = true)
        protected CcType cardType;
        @XmlElement(name = "charge-amount", required = true)
        protected BigDecimal chargeAmount;
        @XmlElement(required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String currency;
        @XmlElement(name = "transaction-type", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String transactionType;

        /**
         * Gets the value of the merchantName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantName() {
            return merchantName;
        }

        /**
         * Sets the value of the merchantName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantName(String value) {
            this.merchantName = value;
        }

        /**
         * Gets the value of the merchantUrl property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantUrl() {
            return merchantUrl;
        }

        /**
         * Sets the value of the merchantUrl property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantUrl(String value) {
            this.merchantUrl = value;
        }

        /**
         * Gets the value of the nameOnCard property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getNameOnCard() {
            return nameOnCard;
        }

        /**
         * Sets the value of the nameOnCard property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setNameOnCard(String value) {
            this.nameOnCard = value;
        }

        /**
         * Gets the value of the authCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAuthCode() {
            return authCode;
        }

        /**
         * Sets the value of the authCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAuthCode(String value) {
            this.authCode = value;
        }

        /**
         * Gets the value of the authTimestamp property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getAuthTimestamp() {
            return authTimestamp;
        }

        /**
         * Sets the value of the authTimestamp property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setAuthTimestamp(XMLGregorianCalendar value) {
            this.authTimestamp = value;
        }

        /**
         * Gets the value of the cardType property.
         * 
         * @return
         *     possible object is
         *     {@link CcType }
         *     
         */
        public CcType getCardType() {
            return cardType;
        }

        /**
         * Sets the value of the cardType property.
         * 
         * @param value
         *     allowed object is
         *     {@link CcType }
         *     
         */
        public void setCardType(CcType value) {
            this.cardType = value;
        }

        /**
         * Gets the value of the chargeAmount property.
         * 
         * @return
         *     possible object is
         *     {@link BigDecimal }
         *     
         */
        public BigDecimal getChargeAmount() {
            return chargeAmount;
        }

        /**
         * Sets the value of the chargeAmount property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigDecimal }
         *     
         */
        public void setChargeAmount(BigDecimal value) {
            this.chargeAmount = value;
        }

        /**
         * Gets the value of the currency property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrency() {
            return currency;
        }

        /**
         * Sets the value of the currency property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrency(String value) {
            this.currency = value;
        }

        /**
         * Gets the value of the transactionType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getTransactionType() {
            return transactionType;
        }

        /**
         * Sets the value of the transactionType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setTransactionType(String value) {
            this.transactionType = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="priced-option" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;all>
     *                   &lt;element name="option-code">
     *                     &lt;simpleType>
     *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *                         &lt;maxLength value="10"/>
     *                       &lt;/restriction>
     *                     &lt;/simpleType>
     *                   &lt;/element>
     *                   &lt;element name="option-price" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsNegative"/>
     *                 &lt;/all>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "pricedOptions"
    })
    public static class PricedOptions {

        @XmlElement(name = "priced-option")
        protected List<NonContractShipmentReceipt.PricedOptions.PricedOption> pricedOptions;

        /**
         * Gets the value of the pricedOptions property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the pricedOptions property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPricedOptions().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link NonContractShipmentReceipt.PricedOptions.PricedOption }
         * 
         * 
         */
        public List<NonContractShipmentReceipt.PricedOptions.PricedOption> getPricedOptions() {
            if (pricedOptions == null) {
                pricedOptions = new ArrayList<NonContractShipmentReceipt.PricedOptions.PricedOption>();
            }
            return this.pricedOptions;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;all>
         *         &lt;element name="option-code">
         *           &lt;simpleType>
         *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
         *               &lt;maxLength value="10"/>
         *             &lt;/restriction>
         *           &lt;/simpleType>
         *         &lt;/element>
         *         &lt;element name="option-price" type="{http://www.canadapost.ca/ws/ncshipment-v4}CostTypeAllowsNegative"/>
         *       &lt;/all>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {

        })
        public static class PricedOption {

            @XmlElement(name = "option-code", required = true)
            @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
            protected String optionCode;
            @XmlElement(name = "option-price", required = true)
            protected BigDecimal optionPrice;

            /**
             * Gets the value of the optionCode property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getOptionCode() {
                return optionCode;
            }

            /**
             * Sets the value of the optionCode property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setOptionCode(String value) {
                this.optionCode = value;
            }

            /**
             * Gets the value of the optionPrice property.
             * 
             * @return
             *     possible object is
             *     {@link BigDecimal }
             *     
             */
            public BigDecimal getOptionPrice() {
                return optionPrice;
            }

            /**
             * Sets the value of the optionPrice property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigDecimal }
             *     
             */
            public void setOptionPrice(BigDecimal value) {
                this.optionPrice = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element name="am-delivery" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="guaranteed-delivery" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="expected-transit-time">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}integer">
     *               &lt;minInclusive value="0"/>
     *               &lt;maxInclusive value="99"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="expected-delivery-date" type="{http://www.w3.org/2001/XMLSchema}date"/>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class ServiceStandard {

        @XmlElement(name = "am-delivery")
        protected boolean amDelivery;
        @XmlElement(name = "guaranteed-delivery")
        protected boolean guaranteedDelivery;
        @XmlElement(name = "expected-transit-time")
        protected int expectedTransitTime;
        @XmlElement(name = "expected-delivery-date", required = true)
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar expectedDeliveryDate;

        /**
         * Gets the value of the amDelivery property.
         * 
         */
        public boolean isAmDelivery() {
            return amDelivery;
        }

        /**
         * Sets the value of the amDelivery property.
         * 
         */
        public void setAmDelivery(boolean value) {
            this.amDelivery = value;
        }

        /**
         * Gets the value of the guaranteedDelivery property.
         * 
         */
        public boolean isGuaranteedDelivery() {
            return guaranteedDelivery;
        }

        /**
         * Sets the value of the guaranteedDelivery property.
         * 
         */
        public void setGuaranteedDelivery(boolean value) {
            this.guaranteedDelivery = value;
        }

        /**
         * Gets the value of the expectedTransitTime property.
         * 
         */
        public int getExpectedTransitTime() {
            return expectedTransitTime;
        }

        /**
         * Sets the value of the expectedTransitTime property.
         * 
         */
        public void setExpectedTransitTime(int value) {
            this.expectedTransitTime = value;
        }

        /**
         * Gets the value of the expectedDeliveryDate property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getExpectedDeliveryDate() {
            return expectedDeliveryDate;
        }

        /**
         * Sets the value of the expectedDeliveryDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setExpectedDeliveryDate(XMLGregorianCalendar value) {
            this.expectedDeliveryDate = value;
        }

    }

}
