
package ca.canadapost.cpcdp.serviceinfo.generated.serviceinfo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for InfoMessageType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InfoMessageType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="message-type" type="{http://www.canadapost.ca/ws/serviceinfo-v2}MessageType"/>
 *         &lt;element name="message-text" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *         &lt;element name="from-datetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="to-datetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InfoMessageType", propOrder = {

})
@XmlRootElement(name = "info-message")
public class InfoMessage {

    @XmlElement(name = "message-type", required = true)
    protected MessageType messageType;
    @XmlElement(name = "message-text", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String messageText;
    @XmlElement(name = "from-datetime", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar fromDatetime;
    @XmlElement(name = "to-datetime", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar toDatetime;

    /**
     * Gets the value of the messageType property.
     * 
     * @return
     *     possible object is
     *     {@link MessageType }
     *     
     */
    public MessageType getMessageType() {
        return messageType;
    }

    /**
     * Sets the value of the messageType property.
     * 
     * @param value
     *     allowed object is
     *     {@link MessageType }
     *     
     */
    public void setMessageType(MessageType value) {
        this.messageType = value;
    }

    /**
     * Gets the value of the messageText property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMessageText() {
        return messageText;
    }

    /**
     * Sets the value of the messageText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMessageText(String value) {
        this.messageText = value;
    }

    /**
     * Gets the value of the fromDatetime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getFromDatetime() {
        return fromDatetime;
    }

    /**
     * Sets the value of the fromDatetime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setFromDatetime(XMLGregorianCalendar value) {
        this.fromDatetime = value;
    }

    /**
     * Gets the value of the toDatetime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getToDatetime() {
        return toDatetime;
    }

    /**
     * Sets the value of the toDatetime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setToDatetime(XMLGregorianCalendar value) {
        this.toDatetime = value;
    }

}
