
package ca.canadapost.cpcdp.shipping.generated.manifest;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RelType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RelType">
 *   &lt;restriction base="{http://www.canadapost.ca/ws/manifest-v8}RelType">
 *     &lt;enumeration value="self"/>
 *     &lt;enumeration value="artifact"/>
 *     &lt;enumeration value="details"/>
 *     &lt;enumeration value="manifestShipments"/>
 *     &lt;enumeration value="manifest"/>
 *     &lt;enumeration value="shipment"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "RelType")
@XmlEnum
public enum RelType {

    @XmlEnumValue("self")
    SELF("self"),
    @XmlEnumValue("artifact")
    ARTIFACT("artifact"),
    @XmlEnumValue("details")
    DETAILS("details"),
    @XmlEnumValue("manifestShipments")
    MANIFEST_SHIPMENTS("manifestShipments"),
    @XmlEnumValue("manifest")
    MANIFEST("manifest"),
    @XmlEnumValue("shipment")
    SHIPMENT("shipment");
    private final String value;

    RelType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RelType fromValue(String v) {
        for (RelType c: RelType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
